<?PHP
/**
 * Contains a class of available licenses.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing static functions for getting available licenses on md.
 */
final class MDSourceTypeSet extends MDValueSet {

    const SOURCE_TYPES = [
        'article',
        'inbook',
        'book',
        'phdthesis',
        'electronical',
        'misc',
    ];

    /**
     * Gets a sorted list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {

        return parent::getTlSortedList($tlLoader, self::SOURCE_TYPES, "source_type_set", "source_type_set");

    }
}
